<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
require_once("DF80000.php");
?>
<html>
<head>
<title>Importa Catalogo Animales y/o Pesos</title>
</head>
<body>
<h2>!!! Espere un momento Importanto...!!!</h2>
<img src="GIF32.gif" width="123" height="6" id="imagen_espera" name="imagen_espera">
<?php

if(is_uploaded_file($_FILES['fichero']['tmp_name'])){
	$fileName="archivos/".$_FILES['fichero']['name'];
	if (file_exists($fileName)) {
		chmod($fileName,0777);
		fileperms ($fileName);
		unlink($fileName);
	}
	if(move_uploaded_file($_FILES['fichero']['tmp_name'], $fileName)){
	
	}else{
		echo '<h2>Error al Mover Archivo</h2>';
		echo '<meta content="3; url=RG12300_PR.php" HTTP-EQUIV="REFRESH">';
		exit();	
	}
}else{
	echo '<h2>No ha sido posible subir el archivo</h2>';
	echo '<meta content="3; url=RG12300_PR.php" HTTP-EQUIV="REFRESH">';
	exit();	
}
@$archivo = fopen($fileName, "r"); 

$timeIni=date('H:i:s');  
while($trozo1=fgetcsv($archivo,3000,',')){
	$conx++;
	$fin=count($trozo1);
	$fecLle=chfecha($trozo1[8],'d/m/Y','Y-m-d');
	
	$sql2=mysqli_query($con ,"update dginventp set lim_vta1='$trozo1[3]' where nparte1='$conx'");
	
	if(!$sql2)
		echo "Renglon:$conx ID:$trozo1[0] ::: DES:$trozo1[1]-->ERROR:".mysqli_error($con)." :::$crear<br>";	
}
fclose ($archivo);



$timeFin=date('H:i:s');
echo '<h2>FELICIDADES SE CREARON NUEVOS ARETES: '.$conx.' REGISTROS</h2>' ;
echo '<h2>TIEMPO DE IMPORTACION: '.difTime($timeIni,$timeFin).'</h2>';



//$sql_peso=mysqli_query($con ,"SELECT * FROM rgdetorpeso where id_altaorden='0' and id_detorden='0'");
//while ($array=mysqli_fetch_array($sql_peso)){

//$select=mysqli_query($con ,"select * from rganimal where id_arete='".$array['id_arete']."'");
//$animal=mysqli_fetch_array($select);

//$mod=mysqli_query($con ,"UPDATE rgdetorpeso set id_altaorden='".$animal['id_animal']."', id_detorden='".$animal['id_animal']."' where id_arete='".$array['id_arete']."'");

//$mod2=mysqli_query($con ,"UPDATE rgdetcor set id_animal='".$animal['id_animal']."' where id_arete='".$array['id_arete']."'");
//}
?>
</body>
</html>
